Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 8559)
+++ trunk/MagicSoft/Mars/Changelog	(revision 8560)
@@ -18,4 +18,17 @@
 
                                                  -*-*- END OF LINE -*-*-
+
+ 2007/06/15 Daniela Dorner
+
+   * datacenter/db/index-footer.html:
+     - adapted path of validator picture
+
+   * scripts/processsequence:
+     - added sequence number (get it from sequence file) to path name
+       in case only a sequence file is given
+     - added two new command line options: the callisto and star rc can
+       be given now 
+
+
 
  2007/06/14 Daniela Dorner
Index: trunk/MagicSoft/Mars/scripts/processsequence
===================================================================
--- trunk/MagicSoft/Mars/scripts/processsequence	(revision 8559)
+++ trunk/MagicSoft/Mars/scripts/processsequence	(revision 8560)
@@ -42,8 +42,7 @@
 #to be set by the user (if you don't use the command-line options)
 #path of your output directory
-#outpath=/home/dorner/ToO
-outpath=
+outpath=""
 #give either sequence number or sequence file (including path)
-sequence=
+sequence=""
 sequfile=""
 
@@ -60,6 +59,8 @@
    echo -n "  -cal                   "
    echo " running only calibration"
-   echo -n "  --cal-rc                   "
-   echo " giving the rc-file used for the calibration "
+   echo -n "  --cal-rc               "
+   echo " giving a differnt callisto rc file"
+   echo -n "  --star-rc              "
+   echo " giving a differnt star rc file"
    echo -n "  -b                     "
    echo " running in non-interactive mode (i.e. you are not asked if the paths are ok)"
@@ -105,4 +106,5 @@
 interactive="yes"
 
+# get options from the command line
 while [ "$1" ]
 do 
@@ -111,7 +113,4 @@
                     sequence=$1
                     ;;
-         --cal-rc)  shift
-                    calrc="--config="$1
-                    ;;
             --out)  shift
                     outpath=$1
@@ -126,10 +125,15 @@
                     sequfile=$1
                     ;;
+        --star-rc)  shift
+                    starrc=$1
+                    ;;
+         --cal-rc)  shift
+                    calrc=$1
+                    ;;
                -h)  usage
                     ;;
-      *)      echo "unknown option $1 "
-              usage
-              exit
-              ;;
+                *)  echo "unknown option $1 "
+                    usage
+                    ;;
    esac
    shift
@@ -154,4 +158,5 @@
 echo " outpath:  "$outpath
 
+# get sequence file and number
 if [ "$sequfile" = "" ]
 then 
@@ -166,33 +171,32 @@
    echo " sequence: "$sequence
    echo " sequfile: "$sequfile
-#   if ! [ "$star" = "yes" ] || [ "$cal" = "yes" ]
-#   then 
-      calpath=$outpath"/callisto/$n8"
-      echo " path where calibration files are stored : "$calpath
-#   fi
-   if ! [ "$cal" = "yes" ] || [ "$star" = "yes" ]
-   then 
-      starpath=$outpath"/star/$n8"
-      echo " path where star files are stored        : "$starpath
-   fi
 else
    echo " sequfile: "$sequfile
-#   if ! [ "$star" = "yes" ] || [ "$cal" = "yes" ]
-#   then 
-      calpath=$outpath"/callisto"
-      echo " path where calibration files are stored : "$calpath
-#   fi
-   if ! [ "$cal" = "yes" ] || [ "$star" = "yes" ]
-   then 
-      starpath=$outpath"/star"
-      echo " path where star files are stored        : "$starpath
-   fi
-fi
+   # get sequence number from file (for path and log names)
+   array=( `grep "Sequence: " $sequfile` )
+   n8=`printf %08d ${array[1]}`
+fi
+
+# define outpaths for callisto and star
+calpath=$outpath"/callisto/$n8"
+echo " path where calibration files are stored : "$calpath
+if ! [ "$cal" = "yes" ] || [ "$star" = "yes" ]
+then 
+   starpath=$outpath"/star/$n8"
+   echo " path where star files are stored        : "$starpath
+fi
+
+# rcfiles
 if ! [ "$calrc" = "" ]
-then
-   echo "using $calrc for calibration"
-fi
-
-
+then 
+   echo "You chose a different callisto rc file: $calrc "
+fi
+if ! [ "$starrc" = "" ]
+then 
+   echo "You chose a different star rc file: $starrc "
+fi
+
+# interactive mode
+#  user is asked if paths are correct 
 if [ "$interactive" = "yes" ]
 then 
@@ -214,5 +218,5 @@
 fi
 
-
+# calibrate sequence
 if ! [ "$star" = "yes" ] || [ "$cal" = "yes" ]
 then 
@@ -221,6 +225,11 @@
    program=callisto
    echo "run $program..."
-   logfile=$calpath/$program$sequence.log
-   command="./$program -b -q -f -v5 --log=$logfile --out=$calpath $calrc $sequfile "
+   logfile=$calpath/$program$n8.log
+   command="./$program -b -q -f --log=$logfile --out=$calpath "
+   if ! [ "$calrc" = "" ]
+   then 
+      command=$command" --config=$calrc "
+   fi
+   command=$command" $sequfile "
    echo $command 
    $command
@@ -280,5 +289,5 @@
       program=merppccupdate
       logfile=$merpplogpath/$program$runno.log
-      command="./merpp -u -v5 --log=$logfile --runfile=$runno $ccfile $calfile "
+      command="./merpp -u --log=$logfile --runfile=$runno $ccfile $calfile "
       echo $command
       $command
@@ -288,5 +297,5 @@
       program=merppcacoupdate
       logfile=$merpplogpath/$program$runno.log
-      command="./merpp -u -v5 --log=$logfile --auto-time $cacofile $calfile"
+      command="./merpp -u --log=$logfile --auto-time $cacofile $calfile"
       echo $command
       $command
@@ -299,4 +308,5 @@
 fi
 
+# run star for sequence
 if ! [ "$cal" = "yes" ] || [ "$star" = "yes" ]
 then 
@@ -305,16 +315,17 @@
    program=star
    echo "run $program..."
-   logfile=$starpath/$program$sequence.log
-   if ! ls $calpath
+   logfile=$starpath/$program$n8.log
+   command="./$program -b -q -f --log=$logfile --out=$starpath "
+   if ls $calpath >/dev/null 2>&1
    then 
-      echo "couldn't find $calpath => taking standard inpath for $program"
-      command="./$program -b -q -f -v5 --log=$logfile --out=$starpath $sequfile"
-      echo $command
-      $command
-   else
-      command="./$program -b -q -f -v5 --log=$logfile --ind=$calpath --out=$starpath $sequfile"
-      echo $command
-      $command
+      command=$command"--ind=$calpath "
    fi
+   if ! [ "$starrc" = "" ]
+   then 
+      command=$command" --config=$starrc "
+   fi
+   command=$command" $sequfile"
+   echo $command
+   $command
    check=$?
    checkreturncode
